﻿body {
    font-family: "Roboto";
}

a {
    text-decoration:none;
    cursor:pointer !important;
}

/* Modal Popup Start */
.modalPopup {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 999; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
    font-family: "Roboto";
}

.modalPopupContent {
    position: relative;
    background-color: #fefefe;
    margin: 50px auto; /* 15% from the top and centered */
    border: 1px solid #888;
    width: 70%;
    border-radius: 10px 15px 10px 15px !important;
    font-family: "Roboto";
}

.modalPopupHeader {
    background-color: #1a75b6;
    display: flex;
    padding: 15px 15px 10px 15px;
    align-items: center;
    justify-content: space-between;
    border-radius: 10px 15px 0px 0px !important;
}

.modalPopupLabel {
    color: white;
    font-weight: bold;
}

.modalPopupButton {
    border: none;
    background: none;
    color: white;
    font-size: 1.4em;
    font-weight: bold;
}

.modalPopupContent input[type="text"], .modalPopupContent input[type="label"], .modalPopupContent span {
    border-top: none;
    border-left: none;
    border-right: none;
}

.modalPopupContent .errorMsg {
    padding-bottom: 10px !important;
}

.modalPopupContent .modalBody {
    background-color: white;
    min-height: 50px;
    margin-top: 10px;
    padding: 15px 25px;
}

.modalPopupContent .modalFooter {
    padding: 10px 10px 30px 10px;
}

.modalPopupContent .modalFooterThin {
    padding: 5px;
}

@media (max-width:600px) {
    .modalPopupContent {
        width: 99% !important;
    }

    .sectionFooterMainLbl {
        text-align: center !important;
    }
}

@media (max-width:767px) {
    .modalPopupContent {
        width: 99% !important;
    }
}

@media (max-width:1028px) {
    .modalPopupContent {
        width: 90% !important;
    }
}

/* Modal Popup End */

/* DFC Text Color Start */

.date-input {
    padding-right: 35px; /* space for icon */
    background-color: #fff;
    background-repeat: no-repeat;
    background-position: right 10px center;
    background-size: 16px;
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'><path fill='%23ff0000' d='M7 2C6.45 2 6 2.45 6 3V4H18V3C18 2.45 17.55 2 17 2H15C14.45 2 14 2.45 14 3V4H10V3C10 2.45 9.55 2 9 2H7Z'/><path fill='%23ff0000' d='M3 6C2.45 6 2 6.45 2 7V21C2 21.55 2.45 22 3 22H21C21.55 22 22 21.55 22 21V7C22 6.45 21.55 6 21 6H3ZM6 10H8V12H6V10ZM10 10H12V12H10V10ZM14 10H16V12H14V10ZM6 14H8V16H6V14ZM10 14H12V16H10V14ZM14 14H16V16H14V14Z'/></svg>");
}

.txt-Black, .txt-Black:hover {
    color: black;
    text-decoration: none;
}

.txt-Bold, .txt-Bold:hover {
    font-weight: bold;
}

.txt-BoldBlack, .txt-BoldBlack:hover {
    font-weight: bold;
    color: black;
}

.txt-White, .txt-White:hover {
    color: #ffffff;
    text-decoration: none;
}

.txt-Gray, .txt-Gray:hover {
    color: #808080;
    text-decoration: none;
}

.txt-Blue, .txt-Blue:hover {
    color: #1a75b6;
    text-decoration: none;
}

.txt-Red, .txt-Red:hover {
    color: #ff0000;
    text-decoration: none;
}

.txt-Green, .txt-Green:hover {
    color: #35B04B;
    text-decoration: none;
}

.errorMsg {
    color: red;
    padding-left: 10px;
    padding-right: 10px;
    font-size:12px;
    font-weight:bold;
}

.successMsg {
    color: forestgreen;
    padding-left: 10px;
    padding-right: 10px;
}

.bgBlue {
    background-color: #1a75b6;
    color: white;
}

.requiredLabel::after {
    content: " *";
    color: red;
}

.form-floating > .form-control:focus ~ label,
.form-floating > .form-control:not(:placeholder-shown) ~ label {
    transform: scale(.85) translateY(-.5rem) translateX(.15rem);
}

/* DFC Text Color End */

/* DFC Button Start */

btn-close {
    color: white !important;
}

.dfcButton, .dfcButton:hover {
    background: transparent linear-gradient(90deg, #35B04B 0%, #3599DF 100%) 0% 0% no-repeat padding-box;
    border: none;
    border-radius: 5px;
    font-size: 16px !important;
    color: #fff;
    font-weight: 500;
    padding: 10px 15px;
    padding: 5px 10px;
    opacity: 1;
    min-width: 125px !important;
    text-transform: initial;
    text-decoration: none;
    font-family: "Roboto";
}

.dfcButton100Per {
    background: transparent linear-gradient(90deg, #35B04B 0%, #3599DF 100%) 0% 0% no-repeat padding-box;
    border: none;
    border-radius: 5px;
    font-size: 16px !important;
    color: #fff;
    font-weight: 500;
    padding: 10px 15px;
    opacity: 1;
    min-width: 125px !important;
    text-transform: uppercase;
    text-decoration: none;
    font-family: "Roboto";
    width: 100% !important;
}

.dfcButtonResponsive {
    background: transparent linear-gradient(90deg, #35B04B 0%, #3599DF 100%) 0% 0% no-repeat padding-box;
    border: none;
    border-radius: 5px;
    font-size: 16px !important;
    color: #fff;
    font-weight: 500;
    padding: 10px 15px;
    opacity: 1;
    min-width: 125px !important;
    text-transform: uppercase;
    text-decoration: none;
    font-family: "Roboto";
}

.dfcButton100 {
    background: transparent linear-gradient(90deg, #35B04B 0%, #3599DF 100%) 0% 0% no-repeat padding-box;
    border: none;
    border-radius: 5px;
    font-size: 16px !important;
    color: #fff;
    font-weight: 500;
    padding: 10px 10px;
    opacity: 1;
    min-width: 100px !important;
    text-transform: uppercase;
    text-decoration: none;
    font-family: "Roboto";
}

.dfcButtonBlue {
    background-color: #1a75b6;
    border: none;
    border-radius: 5px;
    font-size: 12px !important;
    color: #fff;
    font-weight: 500;
    padding: 10px 15px;
    opacity: 1;
    min-width: 125px !important;
    text-transform: uppercase;
    text-decoration: none;
    font-family: "Roboto";
}

.dfcButtonLite, .dfcButtonLite:hover {
    background: transparent linear-gradient(90deg, #35B04B 0%, #3599DF 100%) 0% 0% no-repeat padding-box;
    font-size: 16px !important;
    color: #fff;
    font-weight: 500;
    padding: 5px 10px;
    opacity: 1;
    min-width: 125px !important;
    text-transform: initial;
    border: none;
    border-radius: 5px;
    text-decoration: none;
    font-family: "Roboto";
}

.dfcButtonService {
    position: relative;
    background: transparent linear-gradient(180deg, #35B04B 0%, #3599DF 100%) 0% 0% no-repeat padding-box;
    border-radius: 5px;
    font-size: 16px !important;
    color: #fff;
    font-weight: 500;
    padding: 10px 15px;
    opacity: 1;
    /*min-width: 125px !important;*/
    width: 100% !important;
    text-transform: uppercase;
    border: none;
    text-decoration: none;
    font-family: "Roboto";
}

.dfcButtonBlueRound {
    position: absolute;
    top: 0px;
    right: 0px;
    color: white;
    background: #1a75b6;
    text-decoration: none;
    font-size: 14px;
    font-weight: bold;
    margin-top: 2px !important;
    margin-right: 2px !important;
    padding: 0px 5px 0px !important;
    width: 25px;
    height: 25px;
    text-align: center;
    border-radius: 50%;
    font-family: "Roboto";
}

.dfcButtonBlueBackground {
    background-color: #3873B1;
    border: none;
    border-radius: 5px;
    font-size: 16px !important;
    color: #fff;
    font-weight: 500;
    /*padding: 10px 15px;*/
    padding: 10px 25px;
    opacity: 1;
    min-width: 125px !important;
    text-transform: initial;
    text-decoration: none;
    font-family: "Roboto";
}

.dfcButtonService:after {
    content: '';
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    margin: 0 auto;
    width: 0;
    height: 0;
    border-top: solid 15px #3599DF;
    border-left: solid 15px transparent;
    border-right: solid 15px transparent;
    text-decoration: none;
}

.dfcButtonServiceGray {
    background-color: #E8E8E8;
    border-radius: 8px;
    font-size: 16px !important;
    color: #707070;
    font-weight: 500;
    padding: 10px 15px;
    opacity: 1;
    width: 100% !important;
    text-transform: uppercase;
    border: none;
    text-decoration: none;
    font-family: "Roboto";
}

.dfcButtonWhite, .dfcButtonWhite:hover {
    background-color: #ffffff;
    border: none;
    border-radius: 8px;
    font-size: 16px !important;
    color: #35B04B;
    font-weight: 500;
    padding: 10px 10px;
    opacity: 1;
    min-width: 125px !important;
    text-transform: uppercase;
    text-decoration: none;
    font-family: "Roboto";
}

.dfcButtonGroup {
    background-color: #ffffff;
    border-radius: 5px !important;
    /*border-bottom: solid 1px #ced4da !important;*/
    border: solid 1px #ced4da !important;
    text-decoration: none;
}

.dfcButtonBlueBorder {
    background-color: white;
    border: solid 1px #1a75b6;
    border-radius: 5px;
    font-size: 16px !important;
    color: #1a75b6;
    font-weight: 500;
    padding: 5px 15px;
    opacity: 1;
    min-width: 125px !important;
    text-transform: initial;
    text-decoration: none;
    font-family: "Roboto";
}

.dfcButtonGreenOutline {
    background-color: rgba(53,176,75,0.2);
    border: solid 3px rgb(53,176,75);
    border-radius: 5px;
    font-weight: 500;
    padding: 10px 15px;
    opacity: 1;
    min-width: 125px !important;
    text-decoration: none;
}

.dfcButtonRedOutline {
    background-color: rgba(255,0,0,0.2);
    border: solid 3px rgb(255,0,0);
    border-radius: 5px;
    font-weight: 500;
    padding: 10px 15px;
    opacity: 1;
    min-width: 125px !important;
    text-decoration: none;
}

.dfcSearchButton {
    border: none !important;
    padding: 6px;
    background-color:transparent;
}

/* DFC Button End */

/* Login Starts */

.loginMain {
    overflow-x: hidden;
    height: 100vh;
    background: url('../../Images/Login/BackGround.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    padding: 35px;
}

.loginView {
    background-color: white;
    border-radius: 20px;
    color: #808080;
    padding: 25px 50px 25px 50px !important;
}

.stats-content {
    display: flex;
    align-items: center;
    gap: 20px;
}

.stats-number {
    font-size: 64px;
    font-weight: 700;
    line-height: 1;
    white-space: nowrap;
}

.stats-text {
    font-size: 20px;
    line-height: 1.4;
}

.loginContentRight {
    margin-top: 75px !important;
    background-color: white;
    border-radius: 10px;
    min-height: 125px !important;
}

    .loginContentRight > img {
        width: 75px !important;
        margin-top: -37px !important;
        background-color: white;
        border-radius: 50%;
    }

/* Login Ends */

/* Text Box Start */

.radioButtonList {
    vertical-align: middle;
    padding-left: 5px !important;
    word-wrap: break-word !important;
    padding-right: 15px;
}

.pnlOTP {
    letter-spacing: 5px;
    text-align: center;
}

/* Text Box Ends */

/* Loader Starts */

.pageloaddiv {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 1005559999;
    background: url('../Images/loader.gif') no-repeat center center;
}

.loaderDv {
    background-color: #b8b8b8 !important;
    opacity: 0.70;
    filter: alpha(opacity=70);
}

.displayNone {
    display: none !important;
}

/* Loader Ends */

/* Content Page Starts */

.contentPage {
    margin-top: 75px !important;
    max-width:100% !important;
}

/* Content Page End */

#dvABHA {
    display: none;
}

.abhapage {
    padding: 15px !important;
    border: solid 1px lightgrey;
    border-radius: 10px !important;
    min-height: 450px;
}

@media( max-width : 990px ) {
    .loginMain {
        overflow-x: hidden;
        height: 100vh;
        background: url('../../Images/Login/BackGround.jpg');
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        padding: 10px;
    }

    .loginView {
        background-color: white;
        border-radius: 20px;
        color: #808080;
        padding: 15px 20px 15px 20px !important;
    }

    #navABHA {
        display: none;
    }

    #dvABHA {
        display: block;
    }

    .abhapage{
        margin:10px auto !important;
        padding:5px !important;
        width:95% !important;
    }

/*    .abhapage {
        margin: 10px !important;
        border: solid 1px lightgrey;
    }*/

}

@media (max-width: 768px) {
    .stats-content {
        flex-direction: column;
        align-items: flex-start;
    }

    .stats-number {
        font-size: 52px;
    }

    .stats-text {
        font-size: 18px;
    }
}

/* Table Starts */
.tbl {
    width: 100%;
}

    .tbl tr {
        /*border-bottom: solid 1px rgba(128,128,128,0.5);*/
    }

        .tbl tr:hover:not(:first-child) {
            background-color: rgb(245,245,245) !important;
        }

        .tbl tr:nth-child(even) {
            background-color: white;
        }

        .tbl tr:nth-child(odd) {
            background-color: rgb(250,250,250);
        }

        .tbl tr th {
            background-color: rgba(128,128,128,0.3);
            border-top: solid 1px rgba(128,128,128,0.5);
            border-bottom: solid 1px rgba(128,128,128,0.5);
            color: black;
            font-weight: bold;
            font-family: "Roboto";
        }

    .tbl tr, .tbl th, .tbl td {
        padding: 5px 10px !important;
    }
/* Table Ends */
